var PlayClass={
    "curTeam":'',
    "curQuality":"",
    "curPosition":"",
    "curaHStar":"",
    "curSearchKey":"",
    "playData":[],
    "selectArr":[],
    "playerModel":function(){
        return players;
    },
    "playerControl":function(selectTeam,selectRank,selectPosition,selectAHStar,selectSearchKey){
        this.curTeam = selectTeam;
        this.curQuality = selectRank;
        this.curPosition = selectPosition;
        this.curaHStar = selectAHStar;
        this.curSearchKey = selectSearchKey;
        this.selectArr = [];
        
        this.playData = this.playerModel();
        var _playLen = this.playData.length;
        
        if(this.curTeam=='' && this.curQuality=='' && this.curPosition=='' && this.curaHStar=='' && this.curSearchKey==''){
            this.selectArr = this.playData;
        } else {
            for(var i=0;i<_playLen;i++){
                if((this.curTeam!='' && this.curTeam!=this.playData[i].teamID)
                  ||(this.curQuality!='' && this.curQuality!=this.playData[i].quality)
                  ||(this.curPosition!='' && this.curPosition!=this.playData[i].firstPosition && this.curPosition!=this.playData[i].secondPosition)
                  ||(this.curaHStar!='' && this.curaHStar!=this.playData[i].aHStar)
                  ||(this.curSearchKey!='' && this.playData[i].name.indexOf(this.curSearchKey) == -1 && this.playData[i].nickname.indexOf(this.curSearchKey) == -1)){
                    continue;
                }
                
                this.selectArr.push(this.playData[i]);
            }
        }
        
        this.playerView();
    },
    "playerView":function(){
        var playerlist = '';
        var bg = {"":"a","":"s","":"b","":"c"};
        for(var i=0;i<this.selectArr.length;i++){
            playerlist += '<li class="'+bg[this.selectArr[i].quality]+'"><a href="http://nba2k.qq.com/act/a20140910player/player.shtml?playerID='+this.selectArr[i].playerID+'" class="cbg"><img src="http://ossweb-img.qq.com/images/nba2k/act/a20140910player/portrait/'+this.selectArr[i].avartarID+'.png" width="102" height="102"></a><span>'+this.selectArr[i].name+'</span></li>';
            //alert(this.selectArr[i].firstPosition+" : "+this.selectArr[i].secondPosition);
        }
        jQuery("#playerlistUl").html(playerlist);
        
        if(jQuery(".condition a").length > 0){
            jQuery(".mode a").eq(0).removeClass("cur");
            jQuery(".mode a").eq(1).addClass("cur");
        }else{
            jQuery(".mode a").eq(0).addClass("cur");
            jQuery(".mode a").eq(1).removeClass("cur");
        }
    }
}


jQuery(document).ready(function(){
    var curTeam = '';    //
    var curQuality = ''; //Ʒ
    var curPosition = '';//λ
    var curaHStar = '';//汾
    var curSearchKey = '';
    jQuery("#curTeam").val('');
    jQuery("#curQuality").val('');
    jQuery("#curPosition").val('');
    jQuery("#curaHStar").val('');
    jQuery("#curSearchKey").val('');
    
    jQuery(".team li a").click(function(){
        jQuery("#curTeam").val(jQuery(this).attr("rel"));
        getVal();
        clearTarge('curTeam');
        jQuery(".condition").append('<a href="#" class="cbg" rel="curTeam">'+curTeam+'</a>');
        PlayClass.playerControl(curTeam,curQuality,curPosition,curaHStar,curSearchKey);
    });
    
    jQuery("#qualityList li a").click(function(){
        jQuery("#curQuality").val(jQuery(this).attr("rel"));
        getVal();
        clearTarge('curQuality');
        jQuery(".condition").append('<a href="#" class="cbg" rel="curQuality">'+curQuality+'</a>');
        PlayClass.playerControl(curTeam,curQuality,curPosition,curaHStar,curSearchKey);
    });
    
    jQuery("#searchBtn").click(function(){
        jQuery("#curSearchKey").val(jQuery("#searchKey").val().trim());
        getVal();
        PlayClass.playerControl(curTeam,curQuality,curPosition,curaHStar,curSearchKey);
    });
    
    jQuery("#positionList li a").click(function(){
        jQuery("#curPosition").val(jQuery(this).attr("rel"));
        getVal();
        clearTarge('curPosition');
        jQuery(".condition").append('<a href="#" class="cbg" rel="curPosition">'+curPosition+'</a>');
        PlayClass.playerControl(curTeam,curQuality,curPosition,curaHStar,curSearchKey);
    });
    
    jQuery("#aHStarList li a").click(function(){
        jQuery("#curaHStar").val(jQuery(this).attr("rel"));
        getVal();
        clearTarge('curaHStar');
        jQuery(".condition").append('<a href="#" class="cbg" rel="curaHStar">'+curaHStar+'</a>');
        PlayClass.playerControl(curTeam,curQuality,curPosition,curaHStar,curSearchKey);
    });
    
    jQuery(".condition a").live("click",function(){
        jQuery("#"+jQuery(this).attr("rel")).val('');
        jQuery(this).remove();
        getVal();
        
        PlayClass.playerControl(curTeam,curQuality,curPosition,curaHStar,curSearchKey);
    });
    function getVal(){
        curTeam = jQuery("#curTeam").val();
        curQuality = jQuery("#curQuality").val();
        curPosition = jQuery("#curPosition").val();
        curaHStar = jQuery("#curaHStar").val();
        curSearchKey = jQuery("#curSearchKey").val();
    }
    
    function clearTarge(targe){
        jQuery(".condition a").each(function(i){
            if(jQuery(this).attr("rel") == targe){
                jQuery(this).remove();
            }
        });
    }
    
    String.prototype.trim = function(){
        return this.replace(/^\s\s*/,'').replace(/\s\s*$/,'');
    }
    
    PlayClass.playerControl('','','','','');
});/*  |xGv00|c7269f94079dde9991105e5497927c82 */