var PlayClass={
    "curTeam":'',
    "curRank":"",
    "curPosition":"",
    "curSearchKey":"",
    "playData":[],
    "selectArr":[],
    "playerModel":function(){
        return players;
    },
    "playerControl":function(selectTeam,selectRank,selectPosition,selectSearchKey){
        this.curTeam = selectTeam;
        this.curRank = selectRank;
        this.curPosition = selectPosition;
        this.curSearchKey = selectSearchKey;
        this.selectArr = [];
        
        this.playData = this.playerModel();
        var _playLen = this.playData.length;
        
        if(this.curTeam=='' && this.curRank=='' && this.curPosition=='' && this.curSearchKey==''){
            this.selectArr = this.playData;
        } else {
            for(var i=0;i<_playLen;i++){
                if((this.curTeam!='' && this.curTeam!=this.playData[i].teamID)
                  ||(this.curRank!='' && this.curRank!=this.playData[i].rank)
                  ||(this.curPosition!='' && this.curPosition!=this.playData[i].firstPosition && this.curPosition!=this.playData[i].secondPosition)
                  ||(this.curSearchKey!='' && this.playData[i].name.indexOf(this.curSearchKey) == -1)){
                    continue;
                }
                
                this.selectArr.push(this.playData[i]);
            }
        }
        
        this.playerView();
    },
    "playerView":function(){
        var playerlist = '';
        var bg = {"":"a","":"s","":"b"};
        for(var i=0;i<this.selectArr.length;i++){
            playerlist += '<li class="'+bg[this.selectArr[i].quality]+'"><a href="http://nba2k.qq.com/act/a20140910player/player.shtml?playerID='+this.selectArr[i].playerID+'" class="cbg"><img src="http://ossweb-img.qq.com/images/nba2k/act/a20140910player/portrait/'+this.selectArr[i].avartarID+'.png" width="102" height="102"></a><span>'+this.selectArr[i].name+'</span></li>';
            //alert(this.selectArr[i].firstPosition+" : "+this.selectArr[i].secondPosition);
        }
        jQuery("#playerlistUl").html(playerlist);
        
        if(jQuery(".condition a").length > 0){
            jQuery(".mode a").eq(0).removeClass("cur");
            jQuery(".mode a").eq(1).addClass("cur");
        }else{
            jQuery(".mode a").eq(0).addClass("cur");
            jQuery(".mode a").eq(1).removeClass("cur");
        }
    }
}


jQuery(document).ready(function(){
    var curTeam = '';
    var curRank = '';
    var curPosition = '';
    var curSearchKey = '';
    jQuery("#curTeam").val('');
    jQuery("#curRank").val('');
    jQuery("#curPosition").val('');
    jQuery("#curSearchKey").val('');
    
    jQuery(".team li a").click(function(){
        jQuery("#curTeam").val(jQuery(this).attr("rel"));
        getVal();
        clearTarge('curTeam');
        jQuery(".condition").append('<a href="#" class="cbg" rel="curTeam">'+curTeam+'</a>');
        PlayClass.playerControl(curTeam,curRank,curPosition,curSearchKey);
    });
    
    jQuery("#rankList li a").click(function(){
        jQuery("#curRank").val(jQuery(this).attr("rel"));
        getVal();
        clearTarge('curRank');
        jQuery(".condition").append('<a href="#" class="cbg" rel="curRank">'+curRank+'</a>');
        PlayClass.playerControl(curTeam,curRank,curPosition,curSearchKey);
    });
    
    jQuery("#searchBtn").click(function(){
        jQuery("#curSearchKey").val(jQuery("#searchKey").val().trim());
        getVal();
        PlayClass.playerControl(curTeam,curRank,curPosition,curSearchKey);
    });
    
    jQuery("#positionList li a").click(function(){
        jQuery("#curPosition").val(jQuery(this).attr("rel"));
        getVal();
        clearTarge('curPosition');
        jQuery(".condition").append('<a href="#" class="cbg" rel="curPosition">'+curPosition+'</a>');
        PlayClass.playerControl(curTeam,curRank,curPosition,curSearchKey);
    });
    
    jQuery(".condition a").live("click",function(){
        jQuery("#"+jQuery(this).attr("rel")).val('');
        jQuery(this).remove();
        getVal();
        
        PlayClass.playerControl(curTeam,curRank,curPosition,curSearchKey);
    });
    function getVal(){
        curTeam = jQuery("#curTeam").val();
        curRank = jQuery("#curRank").val();
        curPosition = jQuery("#curPosition").val();
        curSearchKey = jQuery("#curSearchKey").val();
    }
    
    function clearTarge(targe){
        jQuery(".condition a").each(function(i){
            if(jQuery(this).attr("rel") == targe){
                jQuery(this).remove();
            }
        });
    }
    
    PlayClass.playerControl('','','','');
});/*  |xGv00|a8c0eb61386643af6a891145bac91c66 */