jQuery(document).ready(function(){
    cPlayer();
});

function mPlayerData(){
    return play;
}

function cPlayer(){
    var player = mPlayerData();
    var playerID = getUrlVal("playerID");
    
    vPlayer(player, playerID);
}

function vPlayer(player, playerID){
    var rankArr = {"A+":"rankA1","A":"rankA3","A-":"rankA2","B+":"rankB1","B":"rankB3","B-":"rankB2","C+":"rankC1","C":"rankC2","C-":"rankC3","S+":"rankS1","S":"rankS3","S-":"rankS2"}
    var bg = {"":"c_a","":"c_s","":"c_b"};
	var position = '';
    var play = player[playerID];
    if(play.secondPosition != ''){
        position = '/'+play.secondPosition;
    }
    jQuery(".name").html(play.name);
    jQuery("#playerImg img").attr("src","http://ossweb-img.qq.com/images/nba2k/act/a20140910player/portrait/"+play.avartarID+".png");
	jQuery("#playImgDiv").addClass(bg[play.quality]);
    jQuery("#position").html(play.firstPosition+position);
    jQuery("#salary").html(play.salary);
    jQuery("#number").html(play.number);
    jQuery("#height").html(play.height);
    jQuery("#weight").html(play.weight);
    jQuery("#teamID").html(play.teamID);
    jQuery("#championTimes").html(trimSpace(play.championTimes) == ''? 0 : play.championTimes);
    jQuery("#allStarTimes").html(trimSpace(play.allStarTimes) == ''? 0 : play.allStarTimes);
    jQuery("#mvpTimes").html(trimSpace(play.mvpTimes) == ''? 0 : play.mvpTimes);
    jQuery("#scoreTimes").html(trimSpace(play.scoreTimes) == ''? 0 : play.scoreTimes);
    jQuery("#reboundTimes").html(trimSpace(play.reboundTimes) == ''? 0 : play.reboundTimes);
    jQuery("#assistTimes").html(trimSpace(play.assistTimes) == ''? 0 : play.assistTimes);
    jQuery("#rankID").addClass(rankArr[play.rank]);
    jQuery("#playerInfo").html(play.playerInfo);
	jQuery("#specialityID").html(play.speciality);
    
    if(play.isDynasty == 0){
        cPlayerBaseInfo(play, playerID,0);
    } else {
        cPlayerBaseInfo(play, playerID,1);
    }
}

// ʮ
function cPlayerBaseInfo(play, playerID,dengji){
    if(dengji == undefined){
        dengji = 0;
    }
    var abilities = play.abilities;
    var playList = '<tr><td colspan="4" class="bg1"><div class="intr"><strong>ʮ</strong></div></td></tr>';
    if(play.isDynasty == 0){
        playList += '<tr><td>ٶ<span>'+abilities.sudu+'</span></td><td><span>'+abilities.koulan+'</span></td><td><span>'+abilities.liliang+'</span></td><td><span>'+abilities.chuanqiu+'</span></td></tr>';
        playList += '<tr><td><span>'+abilities.kaoda+'</span></td><td><span>'+abilities.kongqiu+'</span></td><td>Ͷ<span>'+abilities.jintou+'</span></td><td><span>'+abilities.fangshou+'</span></td></tr>';
        playList += '<tr><td>Ͷ<span>'+abilities.zhongtou+'</span></td><td><span>'+abilities.lanban+'</span></td><td>ԶͶ<span>'+abilities.yuantou+'</span></td><td>ñ<span>'+abilities.gaimao+'</span></td></tr>';
    } else {
        abilities1 = abilities[dengji];
        playList += '<tr><td>ٶ<span>'+abilities1.sudu+'</span></td><td><span>'+abilities1.koulan+'</span></td><td><span>'+abilities1.liliang+'</span></td><td><span>'+abilities1.chuanqiu+'</span></td></tr>';
        playList += '<tr><td><span>'+abilities1.kaoda+'</span></td><td><span>'+abilities1.kongqiu+'</span></td><td>Ͷ<span>'+abilities1.jintou+'</span></td><td><span>'+abilities1.fangshou+'</span></td></tr>';
        playList += '<tr><td>Ͷ<span>'+abilities1.zhongtou+'</span></td><td><span>'+abilities1.lanban+'</span></td><td>ԶͶ<span>'+abilities1.yuantou+'</span></td><td>ñ<span>'+abilities1.gaimao+'</span></td></tr>';
        playList += '<tr id="progressBar"><td colspan="4" class="bg1"><div class="line"><i></i></div><span class="numb"><em>'+dengji+'</em></span></td></tr>';
		
		var rankArr = {"A+":"rankA1","A":"rankA3","A-":"rankA2","B+":"rankB1","B":"rankB3","B-":"rankB2","C+":"rankC1","C":"rankC2","C-":"rankC3","S+":"rankS1","S":"rankS3","S-":"rankS2"}
		jQuery("#rankID").removeClass();
		jQuery("#rankID").addClass("101");
		jQuery("#rankID").addClass(rankArr[abilities1.rank]);
    }
    
    jQuery("#playerBaseInfo").empty();
    jQuery("#playerBaseInfo").html(playList);
    if(play.isDynasty != 0){
        jQuery("#progressBar i").moveProgressBar(play,playerID,getJsonLength(abilities),dengji);
    }
}

// ȥո
function trimSpace(str){
    return str.replace(/[ ]/g,"");
}

// ȡJSON ʽ
function getJsonLength(jsonData){
    var jsonLenght = 0;
    for(var item in jsonData){
        jsonLenght++;
    }
    return jsonLenght;
}

// ȡGETֵ
function getUrlVal(keyVal){
    var args = new Object();
    var query = location.search.substring(1);
    var pairs = query.split('&');
    
    for(var i=0;i<pairs.length;i++){
        var pos = pairs[i].indexOf('=');
        if(pos == -1) continue;
        var argname = pairs[i].substring(0,pos);
        var val = pairs[i].substring(pos+1);
        val = decodeURIComponent(val);
        args[argname] = val;
    }
    
    return args[keyVal];
}

// ֶ鿴Ա12ֵ
$.fn.extend({
    moveProgressBar:function(play,playerID,abilitiesCout,dengji){
        var down = false,posX=0;
        var mthis = this;
        var total_level = abilitiesCout;
        var per_level = 760 / total_level;
        $(this).css("cursor","pointer");
        
        $(this).css({
            'left':((dengji - 1) * per_level - 2) + 'px'
        });
        
        
        $(this).mousedown(function(e){
            if(!down){
                posX = e.pageX-parseInt($(mthis).css('left'), 10);
                down = true;
            }
        });
            
        $(this).mouseup(function(){
            var left = parseInt($(mthis).css('left'));
            var int_left = left + 2;
            var level = Math.floor(int_left / per_level) + 1;
            left = (level - 1) * per_level - 2;
            $(mthis).css({
                'left':left + 'px'
            });
            cPlayerBaseInfo(play, playerID,level);
            down = false;
        });
        
        $('body').mousemove(function(e){
            if(down){
                var left = e.pageX - posX;
                if(left < -3) {
                    left = -2;
                }
                else if(left > 758) {
                    left = 758;
                }
                var int_left = left + 2;
                var level = Math.ceil(int_left / per_level);
                $(".numb em").html(level);
                $(mthis).css({
                    'left':left + 'px'
                });
            }
        });
    }
});/*  |xGv00|8a6192996217ab6de834faf14a067a70 */